# Copyright (C) 2022 RozK
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from engine import create_triangles, draw_triangles, destroy_triangles

class Triangles:
    __slots__ = '_triangles'

    def __init__(self, triangles):
        self._triangles = create_triangles(triangles)

    def __del__(self):
        destroy_triangles(self._triangles)

    def draw(self):
        draw_triangles(self._triangles)
